OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_DataMapOfShapeLabel Class Reference

`#include <XCAFDoc_DataMapOfShapeLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFDoc_DataMapOfShapeLabel (const Standard_Integer NbBuckets=1)
Standard_EXPORT XCAFDoc_DataMapOfShapeLabel & | Assign (const XCAFDoc_DataMapOfShapeLabel &Other)
XCAFDoc_DataMapOfShapeLabel & | operator= (const XCAFDoc_DataMapOfShapeLabel &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~XCAFDoc_DataMapOfShapeLabel ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const TDF_Label &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const TDF_Label & | Find (const TopoDS_Shape &K) const
const TDF_Label & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT TDF_Label & | ChangeFind (const TopoDS_Shape &K)
TDF_Label & | operator() (const TopoDS_Shape &K)
## Private Member Functions
Standard_EXPORT | XCAFDoc_DataMapOfShapeLabel (const XCAFDoc_DataMapOfShapeLabel &Other)

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_DataMapOfShapeLabel::XCAFDoc_DataMapOfShapeLabel | ( | const Standard_Integer | NbBuckets = `1` | ) |

XCAFDoc_DataMapOfShapeLabel::~XCAFDoc_DataMapOfShapeLabel | ( |  | ) | `[inline]`

Standard_EXPORT XCAFDoc_DataMapOfShapeLabel::XCAFDoc_DataMapOfShapeLabel | ( | const XCAFDoc_DataMapOfShapeLabel & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT XCAFDoc_DataMapOfShapeLabel& XCAFDoc_DataMapOfShapeLabel::Assign | ( | const XCAFDoc_DataMapOfShapeLabel & | Other | ) |

Standard_EXPORT Standard_Boolean XCAFDoc_DataMapOfShapeLabel::Bind | ( | const TopoDS_Shape & | K,
|  | const TDF_Label & | I
| ) |

Standard_EXPORT TDF_Label& XCAFDoc_DataMapOfShapeLabel::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void XCAFDoc_DataMapOfShapeLabel::Clear | ( |  | ) |

Standard_EXPORT const TDF_Label& XCAFDoc_DataMapOfShapeLabel::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean XCAFDoc_DataMapOfShapeLabel::IsBound | ( | const TopoDS_Shape & | K | ) | const

void XCAFDoc_DataMapOfShapeLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFDoc_DataMapOfShapeLabel::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFDoc_DataMapOfShapeLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_Label& XCAFDoc_DataMapOfShapeLabel::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const TDF_Label& XCAFDoc_DataMapOfShapeLabel::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

XCAFDoc_DataMapOfShapeLabel& XCAFDoc_DataMapOfShapeLabel::operator= | ( | const XCAFDoc_DataMapOfShapeLabel & | Other | ) | `[inline]`

Standard_EXPORT void XCAFDoc_DataMapOfShapeLabel::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean XCAFDoc_DataMapOfShapeLabel::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- XCAFDoc_DataMapOfShapeLabel.hxx